Delete Item
Description
This API enables you to insert a new item in a NoSQL table in your project. The table is referred to by its unique ID or name.
You can insert an item with or without specifying any conditions by passing the data in the Custom JSON format.
Request Details
Request URL
{api-domain}/baas/v1/project/{{project_id}}/nosqltable/{{table_identifier}}/item
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.nosql.item.INSERT
Request JSON Properties
The existing data of the table is retrieved and evaluated against this condition. The items are inserted only if the evaluation is true. If there is no existing data, the conditions are ignored and the items are inserted. There are three ways to initialize a condition:
Response Details
The response will return the status of the insert operation, as well as the details of the item inserted such as the table_name, partition_key and sort_key, if configured.
curl -X DELETE
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/nosqltable/3376000003171728/item
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
-H “Content-Type:application/json”
-d ‘{
“item”: {
“EmpID”: {
“N”: “10999”
},
“FirstName”:{
“S”: “Paul”
},
“LastName”:{
“S”: “Smith”
},
“PriorExperience”:{
“BOOL”: false
},
“Location”: {
“M”: {
“Country”: {
“S”: “USA”
},
“City”: {
“S”: “New York”
}
}
}
}
}’
{
"status": "success",
"data": {
"table_name": "employeeDetails",
"project_details": {
"id": 4000000006007,
"project_name": "EmpDatabase",
"project_type": "Live"
}
}
}
Yes
No
Send your feedback to us